/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2023  SEGGER Microcontroller GmbH                *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : ID_SCREEN_00_Slots.c
Purpose     : AppWizard managed file, function content could be changed
---------------------------END-OF-HEADER------------------------------
*/

#include "Application.h"
#include "../Generated/Resource.h"
#include "../Generated/ID_SCREEN_00.h"

/*** Begin of user code area ***/
static int _Switch;
/*** End of user code area ***/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       cbID_SCREEN_00
*/
void cbID_SCREEN_00(WM_MESSAGE * pMsg) {
  GUI_USE_PARA(pMsg);
}

/*********************************************************************
*
*       ID_SCREEN_00__APPW_NOTIFICATION_INITDIALOG__ID_TIMER_00__APPW_JOB_START
*/
void ID_SCREEN_00__APPW_NOTIFICATION_INITDIALOG__ID_TIMER_00__APPW_JOB_START(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_00__ID_TIMER_00__APPW_NOTIFICATION_TIMER
*/
void ID_SCREEN_00__ID_TIMER_00__APPW_NOTIFICATION_TIMER(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  APPW_PARA_ITEM aPara[6] = {0};
  int aSizeOfBm[2] = { 3616UL + 1, 3616UL + 1};  // just copied the sizes from the bitmap definition: GUI_CONST_STORAGE unsigned char acBitmap_30x30[3616UL + 1];

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);

  aPara[0].v = 0;                                                    // - Index
  aPara[1].p = (_Switch) ? acBitmap2_30x30 : acBitmap_30x30;         // - INT: Pointer to Image-Data / EXT: Pointer to Image-Filename (EXT)
  aPara[1].v = 0;                                                    // - 0 (INT) / 1 (EXT)
  aPara[2].v = aSizeOfBm[_Switch];                                   // - FileSize
  APPW_DoJob(ID_SCREEN_00, ID_IMAGE_00, APPW_JOB_SETBITMAP, aPara); 
  _Switch ^= 1;
  aPara[0].v = 0;
  aPara[1].p = (_Switch) ? acBitmap2_30x30 : acBitmap_30x30;
  aPara[1].v = 0;
  aPara[2].v = aSizeOfBm[_Switch];
  APPW_DoJob(ID_SCREEN_00, ID_IMAGE_01, APPW_JOB_SETBITMAP, aPara);
}

/*************************** End of file ****************************/
